export const ColorLegend = ({
  colorScale,
  tickSpacing = 20,
  tickSize = 10,
  tickTextOffset = 10,
  data,
  xValue,
}) => {
  return (
    <>
      <text className="themes-legend-title" dx="-100" dy="-60">Koje teme su važne građanima Srbije?</text>
      {data.map((theme, i) => (
        <g transform={`translate(150, ${i * tickSpacing})`}>
          <text
            className="legend-text"
            x={tickTextOffset}
            dy=".32em"
          >
            <tspan text-anchor="end">{theme.Theme}</tspan>
          </text>
          <text
            x={tickTextOffset}
            dx="0.5em"
            dy=".32em"
            fill={colorScale(theme.Theme)}
          >        
            {theme.Proportion}%
          </text>
        </g>
      ))}
    </>
  );
}