import * as React from 'react';
import { pie, arc } from 'd3';

export const Slice = ({
  pie,
  outerRadius,
  innerRadius,
  colorScale
}) => {
  let arc = d3
    .arc()
    .innerRadius(innerRadius)
    .outerRadius(outerRadius);

  return pie.map((slice, index) => {
    let sliceColor = colorScale(slice.theme);
    return (
      <>
        <path d={arc(slice)} fill={sliceColor} />
      </>
    );
  });
};
